#include "light_direction.h"

namespace CBK
{
	namespace Lights
	{
		Direction::Direction(IDirect3DDevice9* device) : Light(device)
		{
			setType(D3DLIGHT_DIRECTIONAL);
		}

		Direction::~Direction(void)
		{
		}

		Direction& Direction::setDirection(const D3DVECTOR& direction)
		{
			light.Direction = direction;

			return *this;
		}
	}
}